How to customize card image title position in Vue Card

21 Aug 20266 minutes to read

By default, card image titles are positioned at the bottom-left corner. Add custom CSS to reposition the title anywhere over the image.

<template>
  <div id="app">
      <div>
          <div class="e-card">
              <div class="e-card-image">
                  <div class="e-card-title">Node.js</div>
              </div>
              <div class="e-card-content">
                  Node.js is a wildly popular platform for writing web applications that has revolutionized web
                  development in many ways, enjoying
                  support across the open source community as well as industry.
              </div>
          </div>
      </div>
      <div style="Margin: 5px 0;width:300px">
          <ejs-dropdownlist id='title_position' :dataSource='dropData' placeholder="Select Position"
              :change="changed"></ejs-dropdownlist>
      </div>
  </div>
</template>
<script setup>

import { DropDownListComponent as EjsDropdownlist } from "@syncfusion/ej2-vue-dropdowns";

const dropData = ['BottomLeft', 'TopLeft', 'TopRight', 'BottomRight'];

const changed = (e) => {
  var cardEle = document.querySelector('.e-card');
  var titleEle = cardEle.querySelector('.e-card-image .e-card-title');
  titleEle.className = ''
  titleEle.classList.add('e-card-title');
  titleEle.classList.add(e.value.toLowerCase());
};


</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css';

#container {
  visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.e-card-image {
  background: url('./sample.jpg');
  height: 164px;
}

.e-card {
  width: 200px;
  margin: auto;
}

.topleft {
  top: 0;
  bottom: auto !important;
}

.topright {
  top: 0;
  text-align: right;
  bottom: auto !important;
}

.bottomright {
  bottom: 0;
  right: 0;
  text-align: right;
}
</style>
<template>
  <div id="app">
    <div>
      <div class="e-card">
        <div class="e-card-image">
          <div class="e-card-title">Node.js</div>
        </div>
        <div class="e-card-content">
          Node.js is a wildly popular platform for writing web applications that has revolutionized web development in
          many ways, enjoying
          support across the open source community as well as industry.
        </div>
      </div>
    </div>
    <div style="Margin: 5px 0;width:300px">
      <ejs-dropdownlist id='title_position' :dataSource='dropData' placeholder="Select Position"
        :change="changed"></ejs-dropdownlist>
    </div>
  </div>
</template>
<script>

import { DropDownListComponent } from "@syncfusion/ej2-vue-dropdowns";


export default {
  name: "App",
  components: {
    "ejs-dropdownlist": DropDownListComponent
  },
  data: function () {
    return {
      dropData: ['BottomLeft', 'TopLeft', 'TopRight', 'BottomRight']
    };

  }, methods: {

    changed: function (e) {

      var cardEle = document.querySelector('.e-card');
      var titleEle = cardEle.querySelector('.e-card-image .e-card-title');
      titleEle.className = ''
      titleEle.classList.add('e-card-title');
      titleEle.classList.add(e.value.toLowerCase());
    }

  }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material3.css';
@import '../node_modules/@syncfusion/ej2-vue-layouts/styles/material3.css';

#container {
  visibility: hidden;
}

#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.e-card-image {
  background: url('./sample.jpg');
  height: 164px;
}

.e-card {
  width: 200px;
  margin: auto;
}

.topleft {
  top: 0;
  bottom: auto !important;
}

.topright {
  top: 0;
  text-align: right;
  bottom: auto !important;
}

.bottomright {
  bottom: 0;
  right: 0;
  text-align: right;
}
</style>

How to customize the card image title position in React Card

9 Aug 202618 minutes to read

By default, image titles in the Card component appear in the bottom-left corner with an overlay effect. To place the title at a different location on the image, apply custom CSS to override the default position styles.

[Class-component]

import { CheckBoxComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from "react";
import * as ReactDOM from "react-dom";
export default class ReactApp extends React.Component {
    fields = { text: 'pos', value: 'id' };
    position = [
        { id: 'bottom-left', pos: 'BottomLeft' },
        { id: 'bottom-right', pos: 'BottomRight' },
        { id: 'top-left', pos: 'TopLeft' },
        { id: 'top-right', pos: 'TopRight' }
    ];
    constructor(props) {
        super(props);
        this.state = {
            isHorizontal: false,
            positionClass: 'e-card-bottom-left'
        };
    }
    onPositionChange(e) {
        this.setState({
            positionClass: 'e-card-' + e.value
        });
    }
    onDirectionChange(e) {
        const value = (e.checked) ? true : false;
        this.setState({ isHorizontal: value });
    }
    render() {
        return (<div>
        <br />
        <div className="row">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <CheckBoxComponent checked={false} label='Horizontal' change={this.onDirectionChange = this.onDirectionChange.bind(this)}/>
          </div>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent change={this.onPositionChange = this.onPositionChange.bind(this)} dataSource={this.position} fields={this.fields} placeholder="Select Position" width="300px"/>
          </div>
        </div>
        <br />
        <div id="sample row">
          <div className={'e-card ' + `${(this.state.isHorizontal) ? 'e-card-horizontal' : ''}`}>
            <div className="e-card-image">
              <div className={'e-card-title ' + `${this.state.positionClass}`}>Node.Js </div>
            </div>
            <div className="e-card-content">
              Node.js is a wildly popular platform for writing web applications that has revolutionized web development in many ways, enjoying support across the open source community as well as industry.
            </div>
          </div>
        </div>
      </div>);
    }
}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
import { ChangeEventArgs as EventArgs, CheckBoxComponent } from '@syncfusion/ej2-react-buttons';
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from "react";
import * as ReactDOM from "react-dom";

export default class ReactApp extends React.Component<{}, { positionClass: string, isHorizontal: boolean }> {
  public fields: object = { text: 'pos', value: 'id' };
  public position: any = [
    { id: 'bottom-left', pos: 'BottomLeft' },
    { id: 'bottom-right', pos: 'BottomRight' },
    { id: 'top-left', pos: 'TopLeft' },
    { id: 'top-right', pos: 'TopRight' }
  ];

  constructor(props: {}) {
    super(props);
    this.state = {
      isHorizontal: false,
      positionClass: 'e-card-bottom-left'
    }
  }

  public onPositionChange(e: ChangeEventArgs): void {
    this.setState({
      positionClass: 'e-card-' + e.value
    });
  }

  public onDirectionChange(e: EventArgs): void {
    const value: boolean = (e.checked) ? true : false;
    this.setState({ isHorizontal: value });
  }

  public render() {
    return (
      <div>
        <br />
        <div className="row">
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <CheckBoxComponent checked={false} label='Horizontal' change={this.onDirectionChange = this.onDirectionChange.bind(this)} />
          </div>
          <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
            <DropDownListComponent change={this.onPositionChange = this.onPositionChange.bind(this)} dataSource={this.position} fields={this.fields} placeholder="Select Position" width="300px" />
          </div>
        </div>
        <br />
        <div id="sample row">
          <div className={'e-card ' + `${(this.state.isHorizontal) ? 'e-card-horizontal' : ''}`}>
            <div className="e-card-image">
              <div className={'e-card-title ' + `${this.state.positionClass}`}>Node.Js </div>
            </div>
            <div className="e-card-content">
              Node.js is a wildly popular platform for writing web applications that has revolutionized web development in many ways, enjoying support across the open source community as well as industry.
            </div>
          </div>
        </div>
      </div>
    );
  }
}
ReactDOM.render(<ReactApp />, document.getElementById("element"));

[Functional-component]

import { CheckBoxComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from "react";
import { useState } from 'react';
import * as ReactDOM from "react-dom";
function ReactApp() {
    let fields = { text: 'pos', value: 'id' };
    let position = [
        { id: 'bottom-left', pos: 'BottomLeft' },
        { id: 'bottom-right', pos: 'BottomRight' },
        { id: 'top-left', pos: 'TopLeft' },
        { id: 'top-right', pos: 'TopRight' }
    ];
    const [status, setStatus] = useState({ isHorizontal: false, positionClass: 'e-card-bottom-left' });
    function onPositionChange(e) {
        setStatus({ isHorizontal: status.isHorizontal,
            positionClass: 'e-card-' + e.value
        });
    }
    function onDirectionChange(e) {
        const value = (e.checked) ? true : false;
        setStatus({ isHorizontal: value, positionClass: status.positionClass });
    }
    return (<div>
          <br />
          <div className="row">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <CheckBoxComponent checked={false} label='Horizontal' change={onDirectionChange.bind(this)}/>
            </div>
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <DropDownListComponent change={onPositionChange.bind(this)} dataSource={position} fields={fields} placeholder="Select Position" width="300px"/>
            </div>
          </div>
          <br />
          <div id="sample row">
            <div className={'e-card ' + `${(status.isHorizontal) ? 'e-card-horizontal' : ''}`}>
              <div className="e-card-image">
                <div className={'e-card-title ' + `${status.positionClass}`}>Node.Js </div>
              </div>
              <div className="e-card-content">
                Node.js is a wildly popular platform for writing web applications that has revolutionized web development in many ways, enjoying support across the open source community as well as industry.
              </div>
            </div>
          </div>
        </div>);
}
ReactDOM.render(<ReactApp />, document.getElementById("element"));
import { ChangeEventArgs as EventArgs, CheckBoxComponent } from '@syncfusion/ej2-react-buttons';
import { ChangeEventArgs, DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import * as React from "react";
import { useState } from 'react';
import * as ReactDOM from "react-dom";

function ReactApp (){
    let fields: object = { text: 'pos', value: 'id' };
    let position: any = [
      { id: 'bottom-left', pos: 'BottomLeft' },
      { id: 'bottom-right', pos: 'BottomRight' },
      { id: 'top-left', pos: 'TopLeft' },
      { id: 'top-right', pos: 'TopRight' }
    ];  
  const [status, setStatus] = useState({ isHorizontal: false,positionClass: 'e-card-bottom-left'});
  
    function onPositionChange(e: ChangeEventArgs): void {
         setStatus({isHorizontal:status.isHorizontal,
        positionClass: 'e-card-' + e.value
      });
    }
  
    function onDirectionChange(e: EventArgs): void {
      const value: boolean = (e.checked) ? true : false;
       setStatus({ isHorizontal: value,positionClass:status.positionClass });
    }
  
  
      return (
        <div>
          <br />
          <div className="row">
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <CheckBoxComponent checked={false} label='Horizontal' change={onDirectionChange.bind(this)}  />
            </div>
            <div className="col-xs-6 col-sm-6 col-lg-6 col-md-6">
              <DropDownListComponent change={onPositionChange.bind(this)} dataSource={position} fields={fields} placeholder="Select Position" width="300px" />
            </div>
          </div>
          <br />
          <div id="sample row">
            <div className={'e-card ' + `${(status.isHorizontal) ? 'e-card-horizontal' : ''}`}>
              <div className="e-card-image">
                <div className={'e-card-title ' + `${status.positionClass}`}>Node.Js </div>
              </div>
              <div className="e-card-content">
                Node.js is a wildly popular platform for writing web applications that has revolutionized web development in many ways, enjoying support across the open source community as well as industry.
              </div>
            </div>
          </div>
        </div>
      );
  
  }ReactDOM.render(<ReactApp />, document.getElementById("element"));

How to customize card image title position in Angular Card

14 Aug 20263 minutes to read

The Card component positions image titles in the bottom-left corner with an overlay effect by default. The title placement can be customized to any position over the image by applying custom CSS styles to override the default positioning.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'



import { Component, ViewChild } from '@angular/core';
import { DropDownList } from '@syncfusion/ej2-dropdowns';

@Component({
imports: [
        
    ],


standalone: true,
    selector: 'app-container',
    template: `
            <div>
            <div class="e-card">
                <div class="e-card-image">
                    <div class="e-card-title">Node.js</div>
                </div>
                <div class="e-card-content">
                    Node.js is a wildly popular platform for writing web applications that has revolutionized web development in many ways, enjoying
                    support across the open source community as well as industry.
                </div>
        </div>
    </div>
    <div style="Margin: 5px 0;width:300px">
        <select id="title_position">
            <option value="bottom-left">BottomLeft</option>
            <option value="top-left">TopLeft</option>
            <option value="top-right">TopRight</option>
            <option value="bottom-right">BottomRight</option>
        </select>
    </div>        `
})

export class AppComponent {
    @ViewChild('element') element: any;

ngAfterViewInit () {
    // initialize DropDownList component
    let dropDownListObject: DropDownList = new DropDownList({
        placeholder:"Select Position",
        change: this.changed,
    });

    // render initialized DropDownList
    dropDownListObject.appendTo('#title_position');
    }
    public changed(e: any) {
        let cardEle = document.querySelector('.e-card');
        let titleEle = cardEle?.querySelector('.e-card-image .e-card-title');
        titleEle!.className = ''
        titleEle?.classList.add('e-card-title');
        titleEle?.classList.add('e-card-'+e.value);
    }

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));